[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomLabeledEdit.SetName

Sets the value for the Name property and the Caption in the label.

## Declaration

Source position: extctrls.pp line 1034

`protected procedure TCustomLabeledEdit.SetName(`
`const Value: TComponentName`
`); override;`

## Arguments

`Value` |  | New value for the property.

## Description

SetName is overridden in TCustomLabeledEdit to assign the new value for the property to the Caption in EditLabel at design-time. SetName calls the inherited method prior to exit.

## See also

TCustomLabeledEdit.EditLabel |  | EditLabel - the label attached to the edit box.
TControl.SetName |  | Sets the value for the Name property.